libzypp 17.37.10

zypp::solver::detail::ScopedAutoTestCaseWriter Struct Reference

Write automatic testcases if ZYPP_FULLLOG=1 is set. More...

## Public Member Functions
| ScopedAutoTestCaseWriter (Resolver &resolver_r)
| ~ScopedAutoTestCaseWriter ()

## Private Attributes
Resolver * | _resolver = nullptr

## Static Private Attributes
static bool | dumpPool = true

## Detailed Description

Write automatic testcases if ZYPP_FULLLOG=1 is set.

As a matter of fact the testcase writer needs a Resolver but can not write the testcase unless the underlying SATResolver is initialized. So we write out the testcase after solving and before Resolver ist left.

Definition at line 290 of file Resolver.cc.

## Constructor & Destructor Documentation

## ◆ ScopedAutoTestCaseWriter()

zypp::solver::detail::ScopedAutoTestCaseWriter::ScopedAutoTestCaseWriter | ( | Resolver & | resolver_r | ) |
| inline

Definition at line 292 of file Resolver.cc.

## ◆ ~ScopedAutoTestCaseWriter()

zypp::solver::detail::ScopedAutoTestCaseWriter::~ScopedAutoTestCaseWriter | ( |  | ) |
| inline

Definition at line 299 of file Resolver.cc.

## Member Data Documentation

## ◆ _resolver

Resolver* zypp::solver::detail::ScopedAutoTestCaseWriter::_resolver = nullptr
| private

Definition at line 310 of file Resolver.cc.

## ◆ dumpPool

bool zypp::solver::detail::ScopedAutoTestCaseWriter::dumpPool = true
| static private

Definition at line 311 of file Resolver.cc.

The documentation for this struct was generated from the following file:

- zypp/solver/detail/Resolver.cc